# we don't want to provide private python extension libs
%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$ 
%filter_setup
}

%global srcname pybloomfiltermmap
%global comm_desc The goal of pybloomfiltermmap is to provide a fast, simple, scalable,\
correct library for Bloom Filters in Python.

Name:           python-%{srcname}
Version:        0.3.15
Release:        10%{?dist}
Summary:        A Bloom filter (bloomfilter) for Python built on mmap

License:        MIT
URL:            http://github.com/axiak/pybloomfiltermmap/
Source0:        http://pypi.python.org/packages/source/p/pybloomfiltermmap/pybloomfiltermmap-%{version}.tar.gz

BuildRequires:  openssl-devel
BuildRequires:  gcc

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-Cython

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Cython

%description
%{comm_desc}

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{comm_desc}
This is python2 build.

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{comm_desc}
This is python3 build.



%prep
%setup -q -n pybloomfiltermmap-%{version}


%build
%py2_build
%py3_build

%check
# Failed on armv7hl (see task 6998792 on Koji)
# %{__python2} setup.py test
# %{__python3} setup.py test

%install
%py2_install
%py3_install
 
%files -n python2-%{srcname}
%doc AUTHORS CHANGELOG 
%license LICENSE
%{python2_sitearch}/*

%files -n python3-%{srcname}
%doc AUTHORS CHANGELOG 
%license LICENSE
%{python3_sitearch}/*


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.15-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.15-9
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.15-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Aug 11 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 0.3.15-7
- Revamp the spec to use newest python guidelines.

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.15-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.3.15-4
- Rebuild due to bug in RPM (RHBZ #1468476)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.15-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Apr 12 2016 Athmane Madjoudj <athmane@fedoraproject.org> 0.3.15-1
- Update to 0.3.15

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.14-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.14-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.14-5
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Athmane Madjoudj <athmane@fedoraproject.org> 0.3.14-3
- Disable the testsuite because it fails on armv7hl

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 18 2014 Athmane Madjoudj <athmane@fedoraproject.org> 0.3.14-1
- Update to 0.3.14

* Sat Mar 01 2014 Athmane Madjoudj <athmane@fedoraproject.org>  0.3.12-2
- Remove comment about the test suite since it's enabled now.

* Wed Feb 26 2014 Athmane Madjoudj <athmane@fedoraproject.org> 0.3.12-1
- Update to 0.3.12
- Add Cython a build requirement
- Enable the testsuite since it passes now

* Sat Feb 22 2014 Athmane Madjoudj <athmane@fedoraproject.org> 0.3.11-3
- Comment check section since test suite is failing

* Sat Feb 22 2014 Athmane Madjoudj <athmane@fedoraproject.org> 0.3.11-2
- Enable test suite

* Sun Aug 04 2013  Athmane Madjoudj <athmane@fedoraproject.org> 0.3.11-1
- Update to 0.3.11

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jan 21 2012 Athmane Madjoudj <athmane@fedoraproject.org> 0.3.2-1
- Initial spec. 
